# OpalIMMediaType Class Reference

`#include <im.h>`

Inheritance diagram for OpalIMMediaType:

[legend]
Collaboration diagram for OpalIMMediaType:
[legend]

## Public Member Functions

| OpalIMMediaType (const char *mediaType, const char *sdpType)
PString | GetRTPEncoding () const
RTP_UDP * | CreateRTPSession (OpalRTPConnection &, unsigned, bool)
virtual bool | UsesRTP () const

## Constructor & Destructor Documentation

OpalIMMediaType::OpalIMMediaType | ( | const char * | mediaType,
|  | const char * | sdpType |
| ) |  |  | `[inline]`

Parameters:

  mediaType | name of the media type (audio, video etc)
  sdpType | name of the SDP type

## Member Function Documentation

RTP_UDP* OpalIMMediaType::CreateRTPSession | ( | OpalRTPConnection & | ,
|  | unsigned | ,
|  | bool |  |
| ) |  |  | `[inline, virtual]`

Create an RTP session for this media format. By default, this will create a RTP_UDP session with the correct initial format

Only valid if UsesRTP return true

Reimplemented from OpalMediaTypeDefinition.

PString OpalIMMediaType::GetRTPEncoding | ( |  | ) | const`[inline, virtual]`

Get the string used for the RTP_FormatHandler PFactory which is used to create the RTP handler for the this media type possible values include "rtp/avp" and "udptl"

Only valid if UsesRTP return true

Implements OpalMediaTypeDefinition.

virtual bool OpalIMMediaType::UsesRTP | ( |  | ) | const`[inline, virtual]`

Indicate type uses RTP for transport. If false, then it uses a generic OpaMediaSession

Reimplemented from OpalMediaTypeDefinition.

The documentation for this class was generated from the following file:

- im.h